Bug 1481457 - SELinux is preventing avahi-daemon from 'map' accesses on the file /var/lib/sss/mc/initgroups.
Summary: SELinux is preventing avahi-daemon from 'map' accesses on the file /var/lib/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:83e5160821815b768ae9eef7aa1...
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-14 23:44 UTC by Adam Williamson
Modified: 2017-10-31 15:36 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-283.14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 15:36:40 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-14 23:44:20 UTC
Description of problem:
Happened in normal system use (with avahi service installed/enabled, of course) after 'map' permission was introduced to selinux.
SELinux is preventing avahi-daemon from 'map' accesses on the file /var/lib/sss/mc/initgroups.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that avahi-daemon should be allowed map access on the initgroups file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'avahi-daemon' --raw | audit2allow -M my-avahidaemon
# semodule -X 300 -i my-avahidaemon.pp

Additional Information:
Source Context                system_u:system_r:avahi_t:s0
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc/initgroups [ file ]
Source                        avahi-daemon
Source Path                   avahi-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-common-1.15.3-2.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   5
First Seen                    2017-08-12 17:17:03 PDT
Last Seen                     2017-08-14 09:20:49 PDT
Local ID                      fae4c520-74e1-4bfb-a6ea-3ee6ca3bce2f

Raw Audit Messages
type=AVC msg=audit(1502727649.397:106): avc:  denied  { map } for  pid=1043 comm="avahi-daemon" path="/var/lib/sss/mc/initgroups" dev="dm-2" ino=397741 scontext=system_u:system_r:avahi_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=1


Hash: avahi-daemon,avahi_t,sssd_public_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport

Comment 1 Jan Kurik 2017-08-15 08:45:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora Update System 2017-10-25 10:14:16 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:46:22 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:36:40 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.